# Add domain to monitoring

This function creates a Site Quality Monitoring project. A project bundles together one or more URLs with a shared domain for monitoring.

Endpoint: POST /SiteQuality/create_project
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `name` (string, required)
    The name of the project to create.
    Example: "MyProject"

  - `url` (string, required)
    The URL to monitor.
    Example: "https://example.com"

  - `standard_alerting` (integer,null)
    Whether to enable standard email alerts.
  * 1 - Enable standard alerting.
  * 0 - Do not enable standard alerting.
  * null - Do not enable standard alerting.
    Enum: 0, 1, null

  - `system_type` (string)
    The monitoring template to use for the project.
    Example: "Website"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "create_project"

  - `module` (string)
    The name of the module called.
    Example: "SiteQuality"

  - `result` (object)

  - `result.data` (object)
    An object that contains project attributes.

  - `result.data.id` (integer)
    The project ID number.
    Example: 1754

  - `result.data.identifier` (string)
    The project identifier.
    Example: "pro-1754"

  - `result.data.location` (string)
    The region where monitoring checks originate.
    Example: "us"

  - `result.data.name` (string)
    The project's name.
    Example: "MyProject"

  - `result.data.role` (object)
    Information about the user that owns the project.

  - `result.data.role.id` (integer)
    The user's role ID number.

  - `result.data.role.name` (string)
    The user's role title.
    Example: "Owner"

  - `result.data.systems` (array)
    Information about the system that the project monitors.

  - `result.data.systems.name` (string)
    The name of the system.
    Example: "MyProject"

  - `result.data.systems.description` (string,null)
    A description of the system.

  - `result.data.systems.domain` (string)
    The system's base domain.
    Example: "https://example.com"

  - `result.data.systems.id` (integer)
    The system's ID number.
    Example: 2542

  - `result.data.systems.interval` (string)
    The time interval for monitoring checks.
    Example: "hour"

  - `result.data.systems.limits` (object)
    Restrictions placed on the monitoring checks.

  - `result.data.systems.limits.maximumCrawlDepth` (integer)
    The maximum number of URLs to check for dead links on a page.
    Example: 500

  - `result.data.systems.system_type` (object)
    The monitoring template used for the system.

  - `result.data.systems.system_type.name` (string)
    The name of the system type.
    Example: "Website"

  - `result.data.systems.system_type.id` (any)
    The system's type ID number.
    Example: 1

  - `result.data.systems.system_type.fixedComponents` (boolean)
    Whether the system components are immutable.
  * true - The components are immutable.
  * false - The components are not immutable..
    Example: true

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


